Bug 1256115 - SELinux is preventing wicd from 'create' accesses on the socket .
SELinux is preventing wicd from 'create' accesses on the socket .
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:3e28fd88820e752215508b5234c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 22:11 EDT by viabsb
Modified: 2016-02-10 09:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 07:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description viabsb 2015-08-23 22:11:21 EDT
Description of problem:
SELinux is preventing wicd from 'create' accesses on the socket .

*****  Plugin catchall (100. confidence) suggests   **************************

If você acredita que o wicd deva ser permitido acesso de create em  socket  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep wicd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:system_r:NetworkManager_t:s0
Target Objects                 [ socket ]
Source                        wicd
Source Path                   wicd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-197.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.19.8-100.fc20.x86_64 #1 SMP Tue
                              May 12 17:08:50 UTC 2015 x86_64 x86_64
Alert Count                   4
First Seen                    2015-08-23 14:13:21 BRT
Last Seen                     2015-08-23 22:55:17 BRT
Local ID                      da377eb0-c47e-482b-9ac5-f39ce3635439

Raw Audit Messages
type=AVC msg=audit(1440381317.856:372): avc:  denied  { create } for  pid=1410 comm="wicd" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=socket permissive=1


Hash: wicd,NetworkManager_t,NetworkManager_t,socket,create

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.19.8-100.fc20.x86_64
type:           libreport
Comment 1 Jan Kurik 2015-12-22 06:34:09 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.